* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  font-family: Arial, Helvetica, sans-serif;
}

body {
  background: #f5f5f5;
}

.container {
  width: 90%;
  max-width: 1200px;
  margin: auto;
}

.top-bar {
  background: #4a4a4a4d;
  color: #fff;
  text-align: right;
  padding: 6px 0;
  font-size: 14px;
}

.header-wrapper {
  position: absolute;
  width: 100%;
  top: 40px;
  z-index: 1000;
  margin-top: 1.5%;
}

.footer{
  background:#333; 
  color:#fff; 
  padding:20px 0; 
  text-align:center;
}

.white-strip {
  background: #fff;
  padding: 12px 40px;
  box-shadow: 0 10px 25px rgba(0,0,0,0.15);
  display: flex;
  justify-content: space-between;
  align-items: center;
}

.logo img {
  height: 45px; 
  width: auto;
  display: block;
}

nav > ul {
  list-style: none;
  display: flex;
  gap: 35px;
}

nav ul li a {
  text-decoration: none;
  color: #333;
  font-weight: 500;
  position: relative;
  padding-bottom: 6px;
  transition: color 0.3s ease;
}

nav ul li a::after {
  content: "";
  position: absolute;
  left: 0;
  bottom: 0;
  width: 0%;
  height: 2px;
  background: #00b894;
  transition: width 0.4s ease;
}

nav ul li a:hover::after {
  width: 100%;
}

nav ul li a:hover {
  color: #00b894;
}

.white-strip {
  position: relative;
  display: flex;
  justify-content: space-between;
  align-items: center;
}

.menu-toggle {
  display: none;
  flex-direction: column;
  gap: 6px;
  background: none;
  border: none;
  cursor: pointer;
}

.menu-toggle span {
  width: 26px;
  height: 3px;
  background: #333;
  transition: 0.3s ease;
}

.menu-toggle.active span:nth-child(1) {
  transform: rotate(45deg) translate(5px, 5px);
}
.menu-toggle.active span:nth-child(2) {
  opacity: 0;
}
.menu-toggle.active span:nth-child(3) {
  transform: rotate(-45deg) translate(6px, -6px);
}


@media (max-width: 768px) {

  .menu-toggle {
    display: flex;
  }

  nav {
    position: absolute;
    top: 100%;
    left: 0;
    width: 100%;
    background: #fff;
    overflow: hidden;
    max-height: 0;
    transition: max-height 0.4s ease;
    box-shadow: 0 15px 30px rgba(0,0,0,0.08);
  }

  nav.active {
    max-height: 600px;
  }

  nav ul {
    flex-direction: column;
    padding: 15px 0;
  }

  nav ul li {
    padding: 14px 25px;
    border-bottom: 1px solid #f1f1f1;
  }

  nav ul li a {
    font-size: 15px;
  }

  .dropdown.active .dropdown-menu {
    display: block;
  }

  .dropdown-menu li {
    padding: 10px 20px;
    border: none;
  }

}

.menu-item-has-children {
  position: relative;
}

.sub-menu {
  position: absolute;
  display: block !important;
  top: 45px;
  left: 0;
  background: #eee;
  width: 220px;
  list-style: none;
  padding: 10px 0;
  box-shadow: 0 10px 25px rgba(0,0,0,0.15);
  opacity: 0;
  visibility: hidden;
  transform: translateY(10px);
  transition: all 0.3s ease;
  z-index: 999;
}

.menu-item-has-children:hover .sub-menu {
  opacity: 1;
  visibility: visible;
  transform: translateY(0);
}

.sub-menu li {
  padding: 12px 20px;
  display: block;
  width: 100%;
}

.sub-menu li a {
  display: block;
  width: 100%;
}

.sub-menu li:hover {
  background: #ddd;
}

.hero {
  min-height: 800px;
  display: flex;
  align-items: center;
  justify-content: center;
  text-align: center;
  color: #fff;
  padding: 120px 20px;
  position: relative;
  overflow: hidden;
  background-size: cover;
  background-position: center;
}

.hero::before {
  content: "";
  position: absolute;
  inset: 0;
  backdrop-filter: blur(8px);
  -webkit-backdrop-filter: blur(8px);
  background: rgba(0, 0, 0, 0.2);
  z-index: 1;
}

.hero-content {
  max-width: 750px;
    position: relative;
  z-index: 2;
}

.hero h1 {
  font-size: 46px;
  margin-bottom: 20px;
  font-weight: 700;
}

.hero p {
  font-size: 16px;
  line-height: 1.7;
  margin-bottom: 35px;
  opacity: 0.9;
}

.btn {
  padding: 14px 30px;
  text-decoration: none;
  margin: 0 10px;
  display: inline-block;
  font-weight: 500;
  transition: all 0.3s ease;
}

.primary {
  background: #00b894;
  color: #fff;
}

.secondary {
  background: #fff;
  color: #333;
}

.btn:hover {
  transform: translateY(-3px);
  opacity: 0.9;
}

.cards {
  position: relative;
  margin-top: -180px;  
  z-index: 10;
  /* padding-bottom: 100px; */
}

.card-wrapper {
  display: flex;
  justify-content: center;
  gap: 40px;
  flex-wrap: wrap;
}

.card {
  position: relative;
  width: 360px;
  height: 300px;
  position: relative;
  overflow: hidden;
  color: #fff;
  box-shadow: 0 20px 40px rgba(0,0,0,0.2);
  transition: transform 0.4s ease;
}

.card::before{
    content: "";
  position: absolute;
  inset: 0;
  backdrop-filter: blur(8px);
  -webkit-backdrop-filter: blur(8px);
  background: rgba(0, 0, 0, 0.2);
  z-index: 1;
}

.card-content {
position: absolute;
  z-index: 2;
  inset: 0;
  padding: 30px;
  display: flex;
  flex-direction: column;
  justify-content: center; 
  align-items: center;     
  text-align: center;
  transition: all 0.5s ease;
}

.card h3 {
  font-size: 24px;
  margin-bottom: 15px;
}

.card p {
  font-size: 14px;
  line-height: 1.6;
  max-width: 315px;
}

.card-btn {
  margin-top: 20px;
  padding: 10px 22px;
  background: #00b894;
  color: #fff;
  text-decoration: none;
  opacity: 0;
  transform: translateY(20px);
  transition: 0.4s ease;
}

.card:hover .card-btn {
  opacity: 1;
  transform: translateY(0);
}

.card:hover .card-btn {
  opacity: 1;
  transform: translateY(0);
}

@media (max-width: 992px) {

  .hero h1 {
    font-size: 36px;
  }

  nav ul {
    gap: 20px;
  }

  .white-strip {
    padding: 15px 20px;
  }

  .cards {
    margin-top: -120px;
  }

  .card {
    width: 320px;
  }

}

@media (max-width: 768px) {

  .header-wrapper {
    top: 20px;
  }

  .white-strip {
    flex-direction: column;
    gap: 15px;
  }

  nav ul {
    flex-wrap: wrap;
    justify-content: center;
  }

  .hero {
    min-height: 650px;
    padding: 80px 20px;
  }

  .hero h1 {
    font-size: 28px;
  }

  .cards {
    margin-top: -80px;
  }

  .card-wrapper {
    flex-direction: column;
    align-items: center;
  }

  .card {
    width: 90%;
  }

}

.large-content {
  padding: 100px 0;
  display: flex;
  justify-content: center;
}

.large-content-inner {
  background: #e6e6e6;
  padding: 80px 60px;
  text-align: center;
  max-width: 1160px;
  width: 100%;
}

.large-content-inner h2 {
  font-size: 36px;
  color: #3c3f44;
  margin-bottom: 25px;
  font-weight: 700;
}

.large-content-inner p {
  font-size: 15px;
  line-height: 1.8;
  color: #666;
  max-width: 950px;
  margin: 0 auto 35px auto;
}

.large-btn {
  display: inline-block;
  padding: 14px 30px;
  background: #00b894;
  color: #fff;
  text-decoration: none;
  font-weight: 500;
  transition: all 0.3s ease;
}

.large-btn:hover {
  transform: translateY(-3px);
  opacity: 0.9;
}